#encoding = utf8
import logging

from utils import AsyncTaskQueue

logger = logging.getLogger(__name__)


class NLPBase:
    def __init__(self):
        self._ask_queue = AsyncTaskQueue()
        self._ask_queue.start_worker()

    async def _request(self, question):
        pass

    def ask(self, question):
        self._ask_queue.add_task(self._request(question))

    def stop(self):
        self._ask_queue.stop()
    